/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.messaging.builder.entity;

// Java Classes

// Library Classes

// Framework Classes
//import gov.va.med.fw.hl7.segment.PID;
//import gov.va.med.fw.hl7.segment.ZPD;

// Common Classes
import gov.va.med.esr.common.model.person.BirthRecord;

import gov.va.med.esr.common.builder.entity.BirthRecordBuilder;
import gov.va.med.esr.common.builder.entity.DateBuilder;

/**
 * @author Martin Francisco
 */
public class BirthRecordBuilderTest
    extends AbstractBuilderTestCase
{
    private BirthRecordBuilder builder = null;

    private BirthRecord birthRecord = null;

    public BirthRecordBuilderTest(String name)
    {
        super(name);

        this.builder = new BirthRecordBuilder();
        this.builder.setDateBuilder(new DateBuilder());
    }

    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception
    {
        super.setUp();
    }

    /*
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception
    {
        this.birthRecord = null;

        super.tearDown();
    }

    public void testBuild_Null_Null_Null() throws Exception
    {
        //super.assertNull(this.builder.build((BirthRecord)null, (PID)null, (ZPD)null));
    }
}